## libindicate-qt 0.2.2

=== CMakeLists.txt ===
project(libindicate_qt)
cmake_minimum_required(VERSION 2.6)
set(indicate_qt_VERSION 0.2.2)

# Packaging
set(ARCHIVE_NAME libindicate-qt-${indicate_qt_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

set(indicate_qt_lib_SOVERSION 1)
set(indicate_qt_lib_VERSION ${indicate_qt_lib_SOVERSION}.1.0)

find_package(Qt4 REQUIRED)
find_package(PkgConfig REQUIRED)

add_definitions(-Wall)

pkg_check_modules(INDICATE REQUIRED indicate>=0.2.1)

include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${INDICATE_INCLUDE_DIRS}
    )

link_directories(
    ${INDICATE_LIBRARY_DIRS}
    )

configure_file(indicate-qt.pc.in ${CMAKE_BINARY_DIR}/indicate-qt.pc @ONLY)

install(FILES ${CMAKE_BINARY_DIR}/indicate-qt.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig)

add_subdirectory(src)
add_subdirectory(examples)
add_subdirectory(tests)

## libindicate-qt 0.2.5

=== CMakeLists.txt ===
project(libindicate_qt)
cmake_minimum_required(VERSION 2.6)
set(indicate_qt_VERSION 0.2.5)

# Bump this one when a binary-incompatible change is introduced
set(indicate_qt_lib_SOVERSION 1)

# Bump this one when the API is extended in a binary-compatible way
set(indicate_qt_lib_API_VERSION 4)

# Bump this one when changes do not extend the API
set(indicate_qt_lib_PATCH_VERSION 0)
set(indicate_qt_lib_VERSION ${indicate_qt_lib_SOVERSION}.${indicate_qt_lib_API_VERSION}.${indicate_qt_lib_PATCH_VERSION})

find_package(Qt4 REQUIRED)
find_package(PkgConfig REQUIRED)

add_definitions(-Wall)

pkg_check_modules(INDICATE REQUIRED indicate>=0.3.3)

include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${INDICATE_INCLUDE_DIRS}
    )

link_directories(
    ${INDICATE_LIBRARY_DIRS}
    )

configure_file(indicate-qt.pc.in ${CMAKE_BINARY_DIR}/indicate-qt.pc @ONLY)

install(FILES ${CMAKE_BINARY_DIR}/indicate-qt.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig)

add_subdirectory(src)
add_subdirectory(examples)
add_subdirectory(tests)

# Packaging
set(ARCHIVE_NAME libindicate-qt-${indicate_qt_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    COMMAND gpg --armor --sign --detach-sig  ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target(distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
    && make
    && make install
    && make check
    )
add_dependencies(distcheck dist)

=== debian/changelog ===
libindicate-qt (0.2.5-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 17:32:45 +0000

libindicate-qt (0.2.4-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Feb 2010 18:02:25 +0000

libindicate-qt (0.2.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Use source format 3.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Feb 2010 08:26:52 +0000

libindicate-qt (0.2.2-0ubuntu2) karmic; urgency=low

  * Add depends on libindicate-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Oct 2009 11:39:16 +0100

libindicate-qt (0.2.2-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2009 18:17:15 +0100

libindicate-qt (0.2.1-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Sep 2009 11:51:22 +0100

libindicate-qt (0.1.1-0ubuntu1) karmic; urgency=low

  * Initial release

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Tue, 04 Aug 2009 14:06:14 +0200

=== debian/control ===
Source: libindicate-qt
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Aurélien Gâteau <aurelien.gateau@canonical.com>
Build-Depends: debhelper (>= 7), cmake, libindicate-dev (>= 0.3.2), libqt4-dev
Standards-Version: 3.8.4
Section: libs
Homepage: https://launchpad.net/libindicate-qt

Package: libindicate-qt-dev
Section: libdevel
Architecture: any
Depends: libindicate-qt0 (= ${binary:Version}), libindicate-dev
Description: Qt bindings for libindicate
 libindicate-qt0 makes it possible to write libindicate-enabled applications
 using Qt.
 .
 This package contains files that are needed to build applications.

Package: libindicate-qt0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt bindings for libindicate
 libindicate-qt0 makes it possible to write libindicate-enabled applications
 using Qt.
 .
 This package contains shared libraries to be used by applications.

## libindicate-qt 0.2.5.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(libindicate_qt)
 cmake_minimum_required(VERSION 2.6)
-set(indicate_qt_VERSION 0.2.5)
+set(indicate_qt_VERSION 0.2.5.91)
 
 # Bump this one when a binary-incompatible change is introduced
 set(indicate_qt_lib_SOVERSION 1)
@@ -9,7 +9,7 @@
 set(indicate_qt_lib_API_VERSION 4)
 
 # Bump this one when changes do not extend the API
-set(indicate_qt_lib_PATCH_VERSION 0)
+set(indicate_qt_lib_PATCH_VERSION 1)
 set(indicate_qt_lib_VERSION ${indicate_qt_lib_SOVERSION}.${indicate_qt_lib_API_VERSION}.${indicate_qt_lib_PATCH_VERSION})
 
 find_package(Qt4 REQUIRED)
@@ -17,7 +17,7 @@
 
 add_definitions(-Wall)
 
-pkg_check_modules(INDICATE REQUIRED indicate>=0.3.3)
+pkg_check_modules(INDICATE REQUIRED indicate-0.5)
 
 include_directories(
     ${QT_INCLUDE_DIR}
@@ -43,7 +43,6 @@
 set(ARCHIVE_NAME libindicate-qt-${indicate_qt_VERSION})
 add_custom_target(dist
     COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
-    COMMAND gpg --armor --sign --detach-sig  ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
 
 add_custom_target(distcheck

=== examples/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/src # For lib header
    ${CMAKE_CURRENT_BINARY_DIR}
    )

set(example_LIBRARIES
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    indicate-qt
    ${INDICATE_LIBRARIES}
    )

add_definitions(-DSOURCE_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}\")

# qim-client
set(qim_client_SRCS qim-client.cpp)
qt4_automoc(${qim_client_SRCS})

add_executable(qim-client ${qim_client_SRCS})

target_link_libraries(qim-client
    ${example_LIBRARIES}
    )

# qlisten-and-print
set(qlisten_and_print_SRCS qlisten-and-print.cpp)
qt4_automoc(${qlisten_and_print_SRCS})

add_executable(qlisten-and-print ${qlisten_and_print_SRCS})

target_link_libraries(qlisten-and-print
    ${example_LIBRARIES}
    )

# qservercount
set(qservercount_SRCS qservercount.cpp)
qt4_automoc(${qservercount_SRCS})

add_executable(qservercount ${qservercount_SRCS})

target_link_libraries(qservercount
    ${example_LIBRARIES}
    )

=== src/CMakeLists.txt ===
set(indicate_qt_SRCS
    qindicatedecode.cpp
    qindicateserver.cpp
    qindicateindicator.cpp
    qindicatelistener.cpp
    )

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    )

qt4_automoc(${indicate_qt_SRCS})

add_library(indicate-qt SHARED ${indicate_qt_SRCS})
set_target_properties(indicate-qt PROPERTIES
    VERSION ${indicate_qt_lib_VERSION}
    SOVERSION ${indicate_qt_lib_SOVERSION})

target_link_libraries(indicate-qt
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    ${INDICATE_LIBRARIES}
    )

install(TARGETS indicate-qt
    LIBRARY DESTINATION lib${LIB_SUFFIX})

install(DIRECTORY .
    DESTINATION include/libindicate-qt
    FILES_MATCHING PATTERN "*.h"
    )

=== tests/CMakeLists.txt ===
# Macros to create "check" target
set(_test_executable_list "")

macro(add_test_executable _executable)
    add_test(${_executable} ${_executable})
    set(_test_executable_list "${_test_executable_list};${_executable}")
    add_executable(${_executable} ${ARGN})
endmacro(add_test_executable)

# Call this at the end
macro(create_check_target)
    add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --verbose
        DEPENDS ${_test_executable_list})
endmacro(create_check_target)


include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_QTTEST_INCLUDE_DIR}
    )

set(test_LIBRARIES
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTTEST_LIBRARIES}
    indicate-qt
    ${INDICATE_LIBRARIES}
    )

enable_testing()

# servertest
set(servertest_SRCS
    servertest.cpp
    )

qt4_automoc(${servertest_SRCS})

add_test_executable(servertest ${servertest_SRCS})

target_link_libraries(servertest
    ${test_LIBRARIES}
    )

# indicatortest
set(indicatortest_SRCS
    indicatortest.cpp
    )

qt4_automoc(${indicatortest_SRCS})

add_test_executable(indicatortest ${indicatortest_SRCS})

target_link_libraries(indicatortest
    ${test_LIBRARIES}
    )

# listenertest
set(listenertest_SRCS
    listenertest.cpp
    )

qt4_automoc(${listenertest_SRCS})

add_test_executable(listenertest ${listenertest_SRCS})

target_link_libraries(listenertest
    ${test_LIBRARIES}
    )

# communicationtest
set(communicationtest_SRCS
    communicationtest.cpp
    )

qt4_automoc(${communicationtest_SRCS})

add_test_executable(communicationtest ${communicationtest_SRCS})

target_link_libraries(communicationtest
    ${test_LIBRARIES}
    )

# decodetest
set(decodetest_SRCS
    decodetest.cpp
    )

qt4_automoc(${decodetest_SRCS})

add_test_executable(decodetest ${decodetest_SRCS})

target_link_libraries(decodetest
    ${test_LIBRARIES}
    )

# Keep this at the end
create_check_target()

=== debian/changelog ===
libindicate-qt (0.2.5.91-5) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * Bump libindicate version check to 0.7.
    - 02_libindicate_06.diff -> 02_libindicate_07.diff

  [ Evgeni Golov ]
  * Standards-Version: 3.9.3

 -- Evgeni Golov <evgeni@debian.org>  Sun, 20 May 2012 18:40:18 +0200

libindicate-qt (0.2.5.91-4) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * Bump debhelper build-dependency to >= 9.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 20 Feb 2012 12:35:07 +0100

libindicate-qt (0.2.5.91-3) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 20 Feb 2012 12:16:27 +0100

libindicate-qt (0.2.5.91-2) experimental; urgency=low

  [ Evgeni Golov ]
  * Team upload.
  * Bump libindicate version check to 0.6. (LP: #829477)
    - Add 02_libindicate_06.diff
    - Set minimal libindicate version to 0.5.90

  [ Felix Geyer ]
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Switch to debhelper compat level v9 which exports build flags.
  * Append -Wl,--as-needed to LDFLAGS.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 18 Oct 2011 11:42:53 +0200

libindicate-qt (0.2.5.91-1) unstable; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 02 Apr 2011 18:30:21 +0200

libindicate-qt (0.2.5-2) unstable; urgency=low

  * Switch to debhelper compat level 8.
  * Build with -fvisiblity=hidden.
    - Add 01_visibility_hidden.diff.
    - Update symbols file.
    Closes: #618623
  * Drop dependency from libindicate-qt-dev on libindicate-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 16 Mar 2011 11:03:08 +0100

libindicate-qt (0.2.5-1) unstable; urgency=low

  * Upload to Debian. (Closes: #609578)
  * Switch to dh7 rules.
  * Set Maintainer to pkg-ayatana.
  * Add myself to Uploaders.
  * Add Vcs-* fields.
  * Increase priority to optional.
  * Bump Standards-Version to 3.9.1, no changes needed.
  * Bump library package name to match current soname.
  * Set minimal libindicate version to 0.3.3.
  * Improve short description of libindicate-qt-dev.
  * Add a watch file.
  * Add symbols file using the pkgkde symbolshelper.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 Jan 2011 00:49:35 +0100

libindicate-qt (0.2.5-0ubuntu2) natty; urgency=low

  * No change rebuild to drop depends on libdbusmenu-glib1 for libdbusmenu
    transition

 -- Scott Kitterman <scott@kitterman.com>  Tue, 04 Jan 2011 06:45:54 -0500

=== debian/control ===
Source: libindicate-qt
Section: libs
Priority: optional
Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools (>= 0.6.0~),
               cmake,
               libqt4-dev,
               libindicate-dev (>= 0.6.90)
Standards-Version: 3.9.3
Homepage: https://launchpad.net/libindicate-qt
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-ayatana/libindicate-qt/debian
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ayatana/libindicate-qt/debian

Package: libindicate-qt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libindicate-qt1 (= ${binary:Version})
Description: Qt bindings for libindicate - development files
 libindicate-qt makes it possible to write libindicate-enabled applications
 using Qt.
 .
 This package contains files that are needed to build applications.

Package: libindicate-qt1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt bindings for libindicate
 libindicate-qt makes it possible to write libindicate-enabled applications
 using Qt.
 .
 This package contains shared libraries to be used by applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_test:
	# disable the tests as they require a dbus server

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
http://launchpad.net/libindicate-qt/+download .*/libindicate-qt-([0-9.]+)\.tar\.(?:gz|bz2)

## libindicate-qt 0.2.5.91-5ubuntu1newyork3

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 add_definitions(-Wall)
 
-pkg_check_modules(INDICATE REQUIRED indicate-0.5)
+pkg_check_modules(INDICATE REQUIRED indicate-0.7)
 
 include_directories(
     ${QT_INCLUDE_DIR}

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,10 @@
+include(CheckCXXCompilerFlag)
+
+check_cxx_compiler_flag(-fvisibility=hidden __INDICATEQT_HAVE_GCC_VISIBILITY)
+if (__INDICATEQT_HAVE_GCC_VISIBILITY AND NOT WIN32)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
+endif (__INDICATEQT_HAVE_GCC_VISIBILITY AND NOT WIN32)
+
 set(indicate_qt_SRCS
     qindicatedecode.cpp
     qindicateserver.cpp

=== debian/changelog ===
libindicate-qt (0.2.5.91-5ubuntu1newyork3) precise; urgency=low

  [ Renato Araujo Oliveira Filho ]
  * Fixed "count" property to use string instead of integer. 

  [ root ]
  * Auto build.

 -- root <root@ps-clean-precise-i386.defaultdomain>  Fri, 27 Jul 2012 16:41:13 +0000

libindicate-qt (0.2.5.91-5ubuntu1newyork2) precise; urgency=low

  * Bump release to force rebuild.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Thu, 26 Jul 2012 17:00:21 -0300

libindicate-qt (0.2.5.91-5ubuntu1newyork1) precise; urgency=low

  * Make it possible to have multiple server instances on the same client.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Thu, 26 Jul 2012 13:35:01 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>
 Build-Depends: debhelper (>= 9),
-               pkg-kde-tools (>= 0.6.0~),
+               pkg-kde-tools (>= 0.6.0),
                cmake,
                libqt4-dev,
                libindicate-dev (>= 0.6.90)
